中危 imap 缓冲区溢出拒绝服务漏洞

CVE编号

CVE-2008-5514

利用情况

暂无

补丁情况

没有补丁

披露时间

2008-12-24
漏洞描述
在imap-2007e和其他应用程序之前,UW IMAP工具包使用的华盛顿大学(UW)c客户端库的RFC822BUFFER例程中的rfc822_output_char函数出现一个Off-by-one错误,它使上下文相关的攻击者能够通过电子邮件拒绝服务(崩溃),从而触发缓冲区溢出。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 university_of_washington imap * Up to
(including)
2007d
运行在以下环境
应用 university_of_washington imap 2000 -
运行在以下环境
应用 university_of_washington imap 2000a -
运行在以下环境
应用 university_of_washington imap 2000b -
运行在以下环境
应用 university_of_washington imap 2000c -
运行在以下环境
应用 university_of_washington imap 2001 -
运行在以下环境
应用 university_of_washington imap 2001a -
运行在以下环境
应用 university_of_washington imap 2002 -
运行在以下环境
应用 university_of_washington imap 2002a -
运行在以下环境
应用 university_of_washington imap 2002b -
运行在以下环境
应用 university_of_washington imap 2002c -
运行在以下环境
应用 university_of_washington imap 2002d -
运行在以下环境
应用 university_of_washington imap 2002e -
运行在以下环境
应用 university_of_washington imap 2002f -
运行在以下环境
应用 university_of_washington imap 2004 -
运行在以下环境
应用 university_of_washington imap 2004a -
运行在以下环境
应用 university_of_washington imap 2004b -
运行在以下环境
应用 university_of_washington imap 2004c -
运行在以下环境
应用 university_of_washington imap 2004d -
运行在以下环境
应用 university_of_washington imap 2004e -
运行在以下环境
应用 university_of_washington imap 2004f -
运行在以下环境
应用 university_of_washington imap 2004g -
运行在以下环境
应用 university_of_washington imap 2006 -
运行在以下环境
应用 university_of_washington imap 2006a -
运行在以下环境
应用 university_of_washington imap 2006b -
运行在以下环境
应用 university_of_washington imap 2006c -
运行在以下环境
应用 university_of_washington imap 2006d -
运行在以下环境
应用 university_of_washington imap 2006e -
运行在以下环境
应用 university_of_washington imap 2006f -
运行在以下环境
应用 university_of_washington imap 2006g -
运行在以下环境
应用 university_of_washington imap 2006h -
运行在以下环境
应用 university_of_washington imap 2006i -
运行在以下环境
应用 university_of_washington imap 2006j -
运行在以下环境
应用 university_of_washington imap 2006k -
运行在以下环境
应用 university_of_washington imap 2007 -
运行在以下环境
应用 university_of_washington imap 2007a -
运行在以下环境
应用 university_of_washington imap 2007b -
运行在以下环境
系统 debian_5.0 alpine * Up to
(excluding)
2007b~dfsg-4+lenny3
运行在以下环境
系统 debian_6 alpine * Up to
(excluding)
2.00+dfsg-6+squeeze1
运行在以下环境
系统 fedora_EPEL_5 alpine * Up to
(excluding)
2.02-3.el5
运行在以下环境
系统 fedora_EPEL_6 alpine * Up to
(excluding)
2.02-3.el6
阿里云评分
6.5
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    没有补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况